Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator.Operations
Class MutationOperation

    java.lang.Object
      Operator.Operations.MutationOperation

All Implemented Interfaces:
  Operation, ParameterI, Stochastic

Direct Known Subclasses:
  IntFlipByteMutation, IntFlipFitness, IntFlipMutation, NodalMutation, StructuralMutation, SubtreeMutation

    public abstract class MutationOperation

extends java.lang.Object
implements Stochastic, Operation

Abstract class for mutaion operation.

Author:
  Blip

Field Summary
`protected FitnessFunction` | `fitnessFunction`
`protected double` | `noOfMutationCalls`
`protected double` | `probability`
`protected RandomNumberGenerator` | `rng`

Constructor Summary
`MutationOperation(double prob, RandomNumberGenerator rng)` Creates a new instance of MutationOperation
`MutationOperation(RandomNumberGenerator rng, java.util.Properties p)` Creates a new instance of MutationOperation

Method Summary
`abstract void` | `doOperation(Individual operand)` Performs the operation on an operand
`abstract void` | `doOperation(java.util.List<Individual> operand)` Performs the operation on the list passed
`RandomNumberGenerator` | `getRNG()` Get the number generator
`void` | `setFitnessFunction(FitnessFunction ff)`
`void` | `setProperties(java.util.Properties p)` Set properties
`void` | `setRNG(RandomNumberGenerator m)` Set the number generator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### probability

    protected double probability

### noOfMutationCalls

    protected double noOfMutationCalls

### rng

    protected RandomNumberGenerator rng

### fitnessFunction

    protected FitnessFunction fitnessFunction

Constructor Detail

### MutationOperation

    public MutationOperation(double prob,
                             RandomNumberGenerator rng)

  Creates a new instance of MutationOperation

  Parameters:
    `prob` - mutation probability
    `rng` - random number generator

### MutationOperation

    public MutationOperation(RandomNumberGenerator rng,
                             java.util.Properties p)

  Creates a new instance of MutationOperation

  Parameters:
    `rng` - random number generator
    `p` - properties

Method Detail

### setProperties

    public void setProperties(java.util.Properties p)

  Set properties

  Specified by:
    `setProperties` in interface `ParameterI`
  Parameters:
    `p` - object containing properties

### doOperation

    public abstract void doOperation(Individual operand)

  Description copied from interface: `Operation`
  Performs the operation on an operand

  Specified by:
    `doOperation` in interface `Operation`
  Parameters:
    `operand` - operand to perform operation on

### doOperation

    public abstract void doOperation(java.util.List<Individual> operand)

  Description copied from interface: `Operation`
  Performs the operation on the list passed

  Specified by:
    `doOperation` in interface `Operation`
  Parameters:
    `operand` - operands to be operated on

### setFitnessFunction

    public void setFitnessFunction(FitnessFunction ff)

### setRNG

    public void setRNG(RandomNumberGenerator m)

  Description copied from interface: `Stochastic`
  Set the number generator

  Specified by:
    `setRNG` in interface `Stochastic`
  Parameters:
    `m` - number generator

### getRNG

    public RandomNumberGenerator getRNG()

  Description copied from interface: `Stochastic`
  Get the number generator

  Specified by:
    `getRNG` in interface `Stochastic`
  Returns:
    number generator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD